# class Gamepad

#### package lime.ui

Available on all platforms

### Constructor

###

`new (id:Int)`

### Variables

###

`read onlyconnected:Bool`

###

`read onlyguid:String`

###

`read onlyid:Int`

###

`read onlyname:String`

###

`onAxisMove:Event<GamepadAxis ‑> Float ‑> Void> = new Event<GamepadAxis -> Float>()`

###

`onButtonDown:Event<GamepadButton ‑> Void> = new Event<GamepadButton>()`

###

`onButtonUp:Event<GamepadButton ‑> Void> = new Event<GamepadButton>()`

###

`onDisconnect:Event<Void ‑> Void> = new Event<Void>()`

### Static variables

###

`staticdevices:Map<Int, Gamepad> = new Map<Int,Gamepad>()`

###

`staticonConnect:Event<Gamepad ‑> Void> = new Event<Gamepad>()`

### Static methods

###

`staticaddMappings (mappings:Array<String>):Void`